<template>
  <v-textarea type="text" v-model="inputValue" no-resize />
</template>
<script>
export default {
  name: "FormTextarea",
  props: {
    value: {
      type: String,
      default: "",
    },
  },
  data() {
    return {
      inputValue: [],
    };
  },
  watch: {
    inputValue(newVal) {
      this.$emit("input", newVal);
    },
  },
  created() {
    if (this.value && this.value.length > 0) this.inputValue = this.value;
  },
};
</script>
